### Method

# Gtk FileDialogget_modal

since: 4.10

#### Declaration [src]

    gboolean
    gtk_file_dialog_get_modal (
      GtkFileDialog* self
    )

#### Description [src]

Returns whether the file chooser dialog blocks interaction with the parent window while it is presented.

Available since: 4.10

Gets property | `Gtk.FileDialog:modal`

#### Return value

Type: `gboolean`

`TRUE` if the file chooser dialog is modal.